/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workvisa.dao;

import com.jeeplus.modules.sys.entity.Workattachment;
import com.jeeplus.modules.workfullmanage.entity.WorkFullManage;
import java.util.List;
import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workvisa.entity.WorkVisa;

/**
 * 工程签证DAO接口
 * @author liuw
 * @version 2017-10-31
 */
@MyBatisDao
public interface WorkVisaDao extends CrudDao<WorkVisa> {

	public List<WorkFullManage> findListByfullManage(WorkFullManage fullManage);

	public int getCount(String fullManageId);

	public List<WorkVisa> findListByWF(WorkVisa workVisa);

	List<Workattachment> getListOfAttachment(String attachmentId);
	/**
	 * 更新流程实例ID
	 * @param workVisa
	 * @return
	 */
	public int updateProcessInstanceId(WorkVisa workVisa);
	/**
	 * 根据流程实例ID获取Leave
	 * @param processInstanceId
	 * @return
	 */
	public WorkVisa getByProcessInstanceId(String processInstanceId);

}